Skip to main content
post/v2/teamspaces/{teamspaceId}/sites/{siteId}/connect
Request example
Response
post/v2/teamspaces/{teamspaceId}/sites/{siteId}/connect

Authorization

Authorizationstringheaderrequired#
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely. The management API (/v2/teamspaces/*) needs a key created with Management access ticked; other keys get 403 management_access_required.

Path parameters

teamspaceIdstringrequired#
Teamspace id.
siteIdstringrequired#
Docs7 site id.

Body

application/json
repoUrlstringrequired#
https://github.com/owner/repo
branchstringrequired#
docsPathstringrequired#
Docs folder, . for the root.
context7Indexbooleanrequired#
Also keep the docs on Context7.

Responses

application/json
The connected site
dataobject#